diff --git a/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java b/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java
index 64e3ddd39..825a17084 100644
--- a/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java
+++ b/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java
@@ -1,5 +1,6 @@
 package net.minecraft.client.render;
 
+import it.unimi.dsi.fastutil.objects.ObjectArrayList;
 import net.minecraft.client.GLAllocation;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.entity.particle.Particle;
@@ -45,6 +46,7 @@ import net.minecraft.core.world.LevelListener;
 import net.minecraft.core.world.season.Seasons;
 import net.minecraft.core.world.weather.Weather;
 import net.minecraft.core.world.weather.Weathers;
+import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.ARBOcclusionQuery;
 import org.lwjgl.opengl.GL11;
@@ -53,29 +55,32 @@ import org.lwjgl.opengl.GL15;
 import java.nio.IntBuffer;
 import java.util.ArrayList;
 import java.util.Arrays;
+import java.util.HashSet;
 import java.util.List;
 import java.util.Random;
+import java.util.Set;
 
 import static org.lwjgl.opengl.GL11.*;
 
 public class RenderGlobal
-    implements LevelListener
-{
+    implements LevelListener {
     public static IconCoordinate[] breakingAnimation = new IconCoordinate[10];
+
     static {
         for (int i = 0; i < breakingAnimation.length; i++) {
             breakingAnimation[i] = TextureRegistry.getTexture("minecraft:block/breaking/" + i);
         }
     }
+
     public static final int RENDER_CHUNK_SIZE = 16;
-    public static final int MAX_VISIBLE_REBUILDS_PER_FRAME = 2;
+    public static final int MAX_VISIBLE_REBUILDS_PER_FRAME = 6;
     public static final int MAX_INVISIBLE_REBUILDS_PER_FRAME = 1;
     public static final int RENDER_LIST_BASE_WIDTH = 48;
 
-    public List<TileEntity> renderableTileEntities = new ArrayList<>();
+    public List<TileEntity> renderableTileEntities = new ObjectArrayList<>();
     private WorldClient world;
     private final TextureManager textureManager;
-    private final List<ChunkRenderer> dirtyChunks = new ArrayList<>();
+    private final List<@NotNull ChunkRenderer> dirtyChunks = new ObjectArrayList<>();
     private ChunkRenderer[] sortedChunkRenderers;
     private ChunkRenderer[] chunkRenderers;
     private int xChunks;
@@ -100,7 +105,7 @@ public class RenderGlobal
     private int xMaxChunk;
     private int yMaxChunk;
     private int zMaxChunk;
-    private Integer renderDistance = null;
+    private int renderDistance = 0;
     private int noEntityRenderFrames = 2;
     private int totalEntities;
     private int renderedEntities;
@@ -112,7 +117,7 @@ public class RenderGlobal
     private int renderedChunks;
     private int emptyChunks;
     private int chunkFixOffs;
-    private final List<ChunkRenderer> renderChunks = new ArrayList<>();
+    private final List<ChunkRenderer> renderChunks = new ObjectArrayList<>();
     private final DisplayList[] renderLists = {
         new DisplayList(), new DisplayList(), new DisplayList(), new DisplayList()
     };
@@ -130,14 +135,12 @@ public class RenderGlobal
     private double targetRainbowBrightness = Double.NaN;
     private double rainbowBrightnessDelta = Double.NaN;
 
-    public RenderGlobal(Minecraft mc, TextureManager textureManager)
-    {
+    public RenderGlobal(Minecraft mc, TextureManager textureManager) {
         this.mc = mc;
         this.textureManager = textureManager;
         chunkLists = GLAllocation.generateDisplayLists(RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH * MAX_VISIBLE_REBUILDS_PER_FRAME);
         occlusionCheck = OpenGLHelper.enableOcclusionCheck;
-        if(occlusionCheck)
-        {
+        if (occlusionCheck) {
             resultBuffer.clear();
             occlusionCheckIds = GLAllocation.createDirectIntBuffer(RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH * RENDER_LIST_BASE_WIDTH);
             occlusionCheckIds.clear();
@@ -157,10 +160,8 @@ public class RenderGlobal
         int s = 64;
         int d = 256 / s + 2;
         float yy = 16F;
-        for(int xx = -s * d; xx <= s * d; xx += s)
-        {
-            for(int zz = -s * d; zz <= s * d; zz += s)
-            {
+        for (int xx = -s * d; xx <= s * d; xx += s) {
+            for (int zz = -s * d; zz <= s * d; zz += s) {
                 t.startDrawingQuads();
                 t.addVertex(xx, yy, zz);
                 t.addVertex(xx + s, yy, zz);
@@ -180,21 +181,18 @@ public class RenderGlobal
         GL11.glPopMatrix();
     }
 
-    private void renderStars()
-    {
+    private void renderStars() {
         Random random = new Random(10842L);
         Random colorRandom = new Random(10842L); // Created a second random so the new color don't change the positions of the stars
         Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
-        for(int i = 0; i < 1500; i++)
-        {
+        for (int i = 0; i < 1500; i++) {
             double d = random.nextFloat() * 2.0F - 1.0F;
             double d1 = random.nextFloat() * 2.0F - 1.0F;
             double d2 = random.nextFloat() * 2.0F - 1.0F;
             double d3 = 0.25F + random.nextFloat() * 0.25F;
             double d4 = d * d + d1 * d1 + d2 * d2;
-            if(d4 >= 1.0D || d4 <= 0.01D)
-            {
+            if (d4 >= 1.0D || d4 <= 0.01D) {
                 continue;
             }
             d4 = 1.0D / java.lang.Math.sqrt(d4);
@@ -215,11 +213,10 @@ public class RenderGlobal
             double d16 = java.lang.Math.cos(d14);
 
             double color = colorRandom.nextDouble();
-            for(int j = 0; j < 4; j++)
-            {
+            for (int j = 0; j < 4; j++) {
                 double d17 = 0.0D;
-                double d18 = (double)((j & 2) - 1) * d3;
-                double d19 = (double)((j + 1 & 2) - 1) * d3;
+                double d18 = (double) ((j & 2) - 1) * d3;
+                double d19 = (double) ((j + 1 & 2) - 1) * d3;
                 double d21 = d18 * d16 - d19 * d15;
                 double d22 = d19 * d16 + d18 * d15;
                 double yOff = d21 * d12 + d17 * d13;
@@ -235,10 +232,8 @@ public class RenderGlobal
         tessellator.draw();
     }
 
-    public void setWorld(final WorldClient world)
-    {
-        if(this.world != null)
-        {
+    public void setWorld(final WorldClient world) {
+        if (this.world != null) {
             this.world.removeListener(this);
         }
         this.xOld = -9999D;
@@ -247,14 +242,13 @@ public class RenderGlobal
         this.world = world;
         this.auroraBrightness = 0.0f;
         this.targetAuroraBrightness = Float.NaN;
-        if(world != null)
-        {
+        if (world != null) {
             world.addListener(this);
             allChanged();
         }
     }
-    public void allChanged()
-    {
+
+    public void allChanged() {
         ScreenOptions.queueReload = false;
         updateStars();
         // Delete all display lists - this is a (hopefully temporary) workaround to AMD's OpenGL driver leaking memory
@@ -267,18 +261,16 @@ public class RenderGlobal
         if (world == null) return;
 
         // Reset all world renderers
-        if(chunkRenderers != null)
-        {
-            for (ChunkRenderer chunkRenderer : chunkRenderers)
-            {
+        if (chunkRenderers != null) {
+            for (ChunkRenderer chunkRenderer : chunkRenderers) {
                 chunkRenderer.delete();
             }
         }
         int dist = renderDistance * 16 * 2;
 
-		xChunks = dist / RENDER_CHUNK_SIZE + 1;
+        xChunks = dist / RENDER_CHUNK_SIZE + 1;
         yChunks = world.getHeightBlocks() / RENDER_CHUNK_SIZE;
-		zChunks =  dist / RENDER_CHUNK_SIZE + 1;
+        zChunks = dist / RENDER_CHUNK_SIZE + 1;
 
         chunkRenderers = new ChunkRenderer[xChunks * yChunks * zChunks];
         sortedChunkRenderers = new ChunkRenderer[xChunks * yChunks * zChunks];
@@ -293,24 +285,19 @@ public class RenderGlobal
         yMaxChunk = yChunks;
         zMaxChunk = zChunks;
 
-        for (ChunkRenderer cr : dirtyChunks)
-        {
+        for (ChunkRenderer cr : dirtyChunks) {
             cr.dirty = false;
         }
 
         dirtyChunks.clear();
         renderableTileEntities.clear();
 
-        for(int x = 0; x < xChunks; x++)
-        {
-            for(int y = 0; y < yChunks; y++)
-            {
-                for(int z = 0; z < zChunks; z++)
-                {
+        for (int x = 0; x < xChunks; x++) {
+            for (int y = 0; y < yChunks; y++) {
+                for (int z = 0; z < zChunks; z++) {
                     int index = (z * yChunks + y) * xChunks + x;
                     chunkRenderers[index] = mc.terrainRenderer.createChunkRenderer(world, renderableTileEntities, x * RENDER_CHUNK_SIZE, y * RENDER_CHUNK_SIZE, z * RENDER_CHUNK_SIZE, RENDER_CHUNK_SIZE, chunkLists + id);
-                    if(occlusionCheck)
-                    {
+                    if (occlusionCheck) {
                         chunkRenderers[index].occlusionId = occlusionCheckIds.get(count);
                     }
                     chunkRenderers[index].occlusionQuerying = false;
@@ -327,10 +314,8 @@ public class RenderGlobal
 
         }
 
-        if(world != null)
-        {
-            if (mc.activeCamera != null)
-            {
+        if (world != null) {
+            if (mc.activeCamera != null) {
                 resortChunks(MathHelper.floor(mc.activeCamera.getX()), MathHelper.floor(mc.activeCamera.getY()), MathHelper.floor(mc.activeCamera.getZ()));
                 Arrays.sort(sortedChunkRenderers, new CameraSorter(mc.activeCamera));
             }
@@ -339,8 +324,7 @@ public class RenderGlobal
         noEntityRenderFrames = 2;
     }
 
-    public void renderAurora(ICamera camera, float partialTick)
-    {
+    public void renderAurora(ICamera camera, float partialTick) {
         float celestialAngle = world.getCelestialAngle(partialTick);
         if (celestialAngle < 0.25f) return;
 
@@ -348,10 +332,9 @@ public class RenderGlobal
         double cameraY = camera.getY(partialTick);
         double cameraZ = camera.getZ(partialTick);
         double cameraYaw = camera.getYRot(partialTick);
-        double temperature = world.getBlockTemperature((int)cameraX, (int)cameraZ);
+        double temperature = world.getBlockTemperature((int) cameraX, (int) cameraZ);
         float mult = 0.0f;
-        if ((temperature <= 0.4f || world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_WINTER_ENDLESS) && world.isChunkLoaded((int)cameraX, (int)cameraZ))
-        {
+        if ((temperature <= 0.4f || world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_WINTER_ENDLESS) && world.isChunkLoaded((int) cameraX, (int) cameraZ)) {
             // temperature from 0.0f to 0.4f
             temperature /= 0.4f;
             // temperature from 0.0f to 1.0f
@@ -360,9 +343,8 @@ public class RenderGlobal
             mult += temperature;
         }
 
-        double altitude = world.getWorldType().getYPercentage((int)cameraY);
-        if ((temperature <= 0.6f || world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_WINTER || world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_WINTER_ENDLESS) && altitude >= 0.8f)
-        {
+        double altitude = world.getWorldType().getYPercentage((int) cameraY);
+        if ((temperature <= 0.6f || world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_WINTER || world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_WINTER_ENDLESS) && altitude >= 0.8f) {
             // altitude from 0.8f to 1.0f
             altitude -= 0.8f;
             // altitude from 0.0f to 0.4f
@@ -373,8 +355,7 @@ public class RenderGlobal
         if (mult < 0.0f) mult = 0.0f;
         if (mult > 1.0f) mult = 1.0f;
 
-        if (Double.isNaN(targetAuroraBrightness))
-        {
+        if (Double.isNaN(targetAuroraBrightness)) {
             auroraBrightness = mult;
         }
 
@@ -406,10 +387,8 @@ public class RenderGlobal
         long worldTime = world.getWorldTime();
 
         Tessellator.instance.startDrawingQuads();
-        for (double x = -radius; x < radius; x += 8f)
-        {
-            for (double z = -radius; z < radius; z += 8f)
-            {
+        for (double x = -radius; x < radius; x += 16) {
+            for (double z = -radius; z < radius; z += 16) {
                 double posX = cameraX + x;
                 double posZ = cameraZ + z;
 
@@ -420,16 +399,22 @@ public class RenderGlobal
                 double sample = aurora.getAuroraPresence(posX, posZ, worldTime, celestialAngle) * auroraBrightness;
                 if (sample * 0.3f * distanceSqPercentage < 0.01f) continue;
 
-                renderAuroraBeam(
-                    x * scale,
-                    (auroraY * scale - cameraY * scale) + aurora.getAuroraHeightOffset(posX, posZ, time),
-                    z * scale,
-                    rotationX, rotationZ,
-                    aurora.getAuroraRedOffset(posX, posZ, time),
-                    aurora.getAuroraGreenOffset(posX, posZ, time),
-                    aurora.getAuroraBlueOffset(posX, posZ, time),
-                    scale, (float) (sample * 0.3f * distanceSqPercentage)
-                );
+                for (int i = 0; i < 2; i++) {
+                    for (int j = 0; j < 2; j++) {
+                        double xOff = i * 8;
+                        double zOff = j * 8;
+                        renderAuroraBeam(
+                            (x + xOff) * scale,
+                            (auroraY * scale - cameraY * scale) + aurora.getAuroraHeightOffset((posX + xOff), (posZ + zOff), time),
+                            (z + zOff) * scale,
+                            rotationX, rotationZ,
+                            aurora.getAuroraRedOffset((posX + xOff), (posZ + zOff), time),
+                            aurora.getAuroraGreenOffset((posX + xOff), (posZ + zOff), time),
+                            aurora.getAuroraBlueOffset((posX + xOff), (posZ + zOff), time),
+                            scale, (float) (sample * 0.3f * distanceSqPercentage)
+                        );
+                    }
+                }
             }
         }
         Tessellator.instance.draw();
@@ -442,8 +427,7 @@ public class RenderGlobal
         GL11.glDisable(GL11.GL_LIGHTING);
     }
 
-    private void renderAuroraBeam(double x, double y, double z, double xOffset, double zOffset, float redOffset, float greenOffset, float blueOffset, double scale, float transparency)
-    {
+    private void renderAuroraBeam(double x, double y, double z, double xOffset, double zOffset, float redOffset, float greenOffset, float blueOffset, double scale, float transparency) {
         float width = 16f;
         Tessellator tessellator = Tessellator.instance;
         tessellator.setColorRGBA_F(0 / 255f + redOffset, 255 / 255f + greenOffset, 127 / 255f + blueOffset, transparency);
@@ -453,10 +437,8 @@ public class RenderGlobal
         tessellator.addVertexWithUV(x + xOffset * scale * width, y - scale * 256, z + zOffset * scale * width, 0.0, 1.0);
     }
 
-    public void renderEntities(ICamera camera, float partialTick)
-    {
-        if(noEntityRenderFrames > 0)
-        {
+    public void renderEntities(ICamera camera, float partialTick) {
+        if (noEntityRenderFrames > 0) {
             noEntityRenderFrames--;
             return;
         }
@@ -475,43 +457,34 @@ public class RenderGlobal
         totalEntities = loadedEntities.size();
         Tessellator tessellator = Tessellator.instance;
         // Render weather effects
-        for (int i = 0; i < world.weatherEffects.size(); i++)
-        {
+        for (int i = 0; i < world.weatherEffects.size(); i++) {
             Entity entity = world.weatherEffects.get(i);
             renderedEntities++;
-            if(entity.shouldRender(camera.getPosition(partialTick), 1) || mc.thePlayer.vehicle == entity)
-            {
+            if (entity.shouldRender(camera.getPosition(partialTick), 1) || mc.thePlayer.vehicle == entity) {
                 EntityRenderDispatcher.instance.renderEntity(tessellator, entity, partialTick);
             }
         }
 
         // DO NOT TURN THIS INTO A FOREACH
-        for (int i = 0; i < loadedEntities.size(); i++)
-        {
+        for (int i = 0; i < loadedEntities.size(); i++) {
             Entity entity = loadedEntities.get(i);
-            if (mc.activeCamera != null && mc.activeCamera instanceof EntityCamera && ((EntityCamera) mc.activeCamera).mob == entity)
-            {
-                if (!mc.activeCamera.showPlayer())
-                {
+            if (mc.activeCamera != null && mc.activeCamera instanceof EntityCamera && ((EntityCamera) mc.activeCamera).mob == entity) {
+                if (!mc.activeCamera.showPlayer()) {
                     continue;
                 }
             }
-            if (mc.thePlayer.vehicle != entity && (!entity.shouldRender(camera.getPosition(partialTick), mc.gameSettings.entityRenderDistance.value) || !entity.ignoreFrustumCheck && !camera.getFrustum().isVisible(EntityRenderDispatcher.instance.getRenderer(entity).entityViewBox(entity), partialTick)))
-            {
+            if (mc.thePlayer.vehicle != entity && (!entity.shouldRender(camera.getPosition(partialTick), mc.gameSettings.entityRenderDistance.value) || !entity.ignoreFrustumCheck && !camera.getFrustum().isVisible(EntityRenderDispatcher.instance.getRenderer(entity).entityViewBox(entity), partialTick))) {
                 continue;
             }
             int floorY = MathHelper.floor(entity.y);
-            if (floorY < 0)
-            {
+            if (floorY < 0) {
                 floorY = 0;
             }
-            if(floorY >= world.getHeightBlocks())
-            {
+            if (floorY >= world.getHeightBlocks()) {
                 floorY = world.getHeightBlocks() - 1;
 
             }
-            if (world.isBlockLoaded(MathHelper.floor(entity.x), floorY, MathHelper.floor(entity.z)) || mc.thePlayer.vehicle == entity)
-            {
+            if (world.isBlockLoaded(MathHelper.floor(entity.x), floorY, MathHelper.floor(entity.z)) || mc.thePlayer.vehicle == entity) {
                 renderedEntities++;
                 EntityRenderDispatcher.instance.renderEntity(tessellator, entity, partialTick);
             }
@@ -524,18 +497,15 @@ public class RenderGlobal
         }
     }
 
-    public String getRendererDebugInfo()
-    {
+    public String getRendererDebugInfo() {
         return "C: " + renderedChunks + "/" + totalChunks + ". F: " + offscreenChunks + ", O: " + occludedChunks + ", E: " + emptyChunks;
     }
 
-    public String getEntityDebugInfo()
-    {
+    public String getEntityDebugInfo() {
         return "E: " + renderedEntities + "/" + totalEntities + ". B: " + culledEntities + ", I: " + (totalEntities - culledEntities - renderedEntities);
     }
 
-    public void resortChunks(int xc, int yc, int zc)
-    {
+    public void resortChunks(int xc, int yc, int zc) {
         xc -= 8;
 //        yc -= 8;
         zc -= 8;
@@ -550,65 +520,53 @@ public class RenderGlobal
         int s2 = xChunks * RENDER_CHUNK_SIZE;
         int s1 = s2 / 2;
 
-        for(int x = 0; x < xChunks; x++)
-        {
+        for (int x = 0; x < xChunks; x++) {
             int xx = x * RENDER_CHUNK_SIZE;
             int xOff = (xx + s1) - xc;
-            if(xOff < 0)
-            {
+            if (xOff < 0) {
                 xOff -= s2 - 1;
             }
 
             xOff /= s2;
             xx -= xOff * s2;
-            if(xx < xMinChunk)
-            {
+            if (xx < xMinChunk) {
                 xMinChunk = xx;
             }
 
-            if(xx > xMaxChunk)
-            {
+            if (xx > xMaxChunk) {
                 xMaxChunk = xx;
             }
 
-            for(int z = 0; z < zChunks; z++)
-            {
+            for (int z = 0; z < zChunks; z++) {
                 int zz = z * RENDER_CHUNK_SIZE;
                 int zOff = (zz + s1) - zc;
-                if(zOff < 0)
-                {
+                if (zOff < 0) {
                     zOff -= s2 - 1;
                 }
 
                 zOff /= s2;
                 zz -= zOff * s2;
-                if(zz < zMinChunk)
-                {
+                if (zz < zMinChunk) {
                     zMinChunk = zz;
                 }
 
-                if(zz > zMaxChunk)
-                {
+                if (zz > zMaxChunk) {
                     zMaxChunk = zz;
                 }
 
-                for(int y = 0; y < yChunks; y++)
-                {
+                for (int y = 0; y < yChunks; y++) {
                     int yy = y * RENDER_CHUNK_SIZE;
-                    if(yy < yMinChunk)
-                    {
+                    if (yy < yMinChunk) {
                         yMinChunk = yy;
                     }
-                    if(yy > yMaxChunk)
-                    {
+                    if (yy > yMaxChunk) {
                         yMaxChunk = yy;
                     }
 
                     ChunkRenderer renderer = chunkRenderers[(z * yChunks + y) * xChunks + x];
                     boolean wasDirty = renderer.dirty;
                     renderer.setPos(xx, yy, zz);
-                    if(!wasDirty && renderer.dirty)
-                    {
+                    if (!wasDirty && renderer.dirty) {
                         dirtyChunks.add(renderer);
                     }
                 }
@@ -618,26 +576,22 @@ public class RenderGlobal
         }
 
     }
-    public int render(ICamera camera, int renderPass, double partialTick)
-    {
+
+    public int render(ICamera camera, int renderPass, double partialTick) {
         // Find which renderers need updating
-        for(int i = 0; i < 10; i++)
-        {
+        for (int i = 0; i < 10; i++) {
             chunkFixOffs = (chunkFixOffs + 1) % chunkRenderers.length;
             ChunkRenderer chunkRenderer = chunkRenderers[chunkFixOffs];
-            if(chunkRenderer.dirty && !dirtyChunks.contains(chunkRenderer))
-            {
+            if (chunkRenderer.dirty && !dirtyChunks.contains(chunkRenderer)) {
                 dirtyChunks.add(chunkRenderer);
             }
         }
 
-        if(mc.gameSettings.renderDistance.value != renderDistance)
-        {
+        if (mc.gameSettings.renderDistance.value != renderDistance) {
             allChanged();
         }
 
-        if(renderPass == 0)
-        {
+        if (renderPass == 0) {
             totalChunks = 0;
             offscreenChunks = 0;
             occludedChunks = 0;
@@ -651,8 +605,7 @@ public class RenderGlobal
         double xd = camera.getX() - xOld;
         double yd = camera.getY() - yOld;
         double zd = camera.getZ() - zOld;
-        if(xd * xd + yd * yd + zd * zd > RENDER_CHUNK_SIZE)
-        {
+        if (xd * xd + yd * yd + zd * zd > RENDER_CHUNK_SIZE) {
             xOld = camera.getX();
             yOld = camera.getY();
             zOld = camera.getZ();
@@ -662,23 +615,19 @@ public class RenderGlobal
 
         Lighting.disable();
         int count = 0;
-        if(occlusionCheck && mc.gameSettings.advancedOpenGL.value && renderPass == 0)
-        {
+        if (occlusionCheck && mc.gameSettings.advancedOpenGL.value && renderPass == 0) {
             int from = 0;
             int to = RENDER_CHUNK_SIZE;
             checkQueryResults(from, to);
-            for(int i = from; i < to; i++)
-            {
+            for (int i = from; i < to; i++) {
                 sortedChunkRenderers[i].occlusionVisible = true;
             }
 
             count += renderChunks(from, to, renderPass, partialTick);
-            do
-            {
+            do {
                 from = to;
                 to *= 2;
-                if(to > sortedChunkRenderers.length)
-                {
+                if (to > sortedChunkRenderers.length) {
                     to = sortedChunkRenderers.length;
                 }
                 GL11.glDisable(GL11.GL_TEXTURE_2D);
@@ -692,36 +641,30 @@ public class RenderGlobal
                 float xo = 0.0F;
                 float yo = 0.0F;
                 float zo = 0.0F;
-                for(int ix = from; ix < to; ix++)
-                {
-                    if(sortedChunkRenderers[ix].isEmpty())
-                    {
+                for (int ix = from; ix < to; ix++) {
+                    if (sortedChunkRenderers[ix].isEmpty()) {
                         sortedChunkRenderers[ix].visible = false;
                         continue;
                     }
-                    if(!sortedChunkRenderers[ix].visible)
-                    {
+                    if (!sortedChunkRenderers[ix].visible) {
                         sortedChunkRenderers[ix].occlusionVisible = true;
                     }
-                    if(!sortedChunkRenderers[ix].visible || sortedChunkRenderers[ix].occlusionQuerying)
-                    {
+                    if (!sortedChunkRenderers[ix].visible || sortedChunkRenderers[ix].occlusionQuerying) {
                         continue;
                     }
                     float dist = MathHelper.sqrt_float(sortedChunkRenderers[ix].distanceToCameraSquared(camera));
-                    int frequency = (int)(1.0F + dist / 128F);
-                    if(ticks % frequency != ix % frequency)
-                    {
+                    int frequency = (int) (1.0F + dist / 128F);
+                    if (ticks % frequency != ix % frequency) {
                         continue;
                     }
                     ChunkRenderer chunkRenderer = sortedChunkRenderers[ix];
-                    float xt = (float)((double)chunkRenderer.xRender - xOff);
-                    float yt = (float)((double)chunkRenderer.yRender - yOff);
-                    float zt = (float)((double)chunkRenderer.zRender - zOff);
+                    float xt = (float) ((double) chunkRenderer.xRender - xOff);
+                    float yt = (float) ((double) chunkRenderer.yRender - yOff);
+                    float zt = (float) ((double) chunkRenderer.zRender - zOff);
                     float xdd = xt - xo;
                     float ydd = yt - yo;
                     float zdd = zt - zo;
-                    if(xdd != 0.0F || ydd != 0.0F || zdd != 0.0F)
-                    {
+                    if (xdd != 0.0F || ydd != 0.0F || zdd != 0.0F) {
                         GL11.glTranslatef(xdd, ydd, zdd);
                         xo += xdd;
                         yo += ydd;
@@ -740,27 +683,21 @@ public class RenderGlobal
                 GL11.glEnable(GL11.GL_ALPHA_TEST);
                 GL11.glEnable(GL11.GL_FOG);
                 count += renderChunks(from, to, renderPass, partialTick);
-            } while(to < sortedChunkRenderers.length);
-        }
-        else
-        {
+            } while (to < sortedChunkRenderers.length);
+        } else {
             count += renderChunks(0, sortedChunkRenderers.length, renderPass, partialTick);
         }
         return count;
     }
 
-    private void checkQueryResults(int from, int to)
-    {
-        for(int i = from; i < to; i++)
-        {
-            if(!sortedChunkRenderers[i].occlusionQuerying)
-            {
+    private void checkQueryResults(int from, int to) {
+        for (int i = from; i < to; i++) {
+            if (!sortedChunkRenderers[i].occlusionQuerying) {
                 continue;
             }
             resultBuffer.clear();
             ARBOcclusionQuery.glGetQueryObjectuivARB(sortedChunkRenderers[i].occlusionId, GL15.GL_QUERY_RESULT_AVAILABLE, resultBuffer);
-            if(resultBuffer.get(0) != 0)
-            {
+            if (resultBuffer.get(0) != 0) {
                 sortedChunkRenderers[i].occlusionQuerying = false;
                 resultBuffer.clear();
                 ARBOcclusionQuery.glGetQueryObjectuivARB(sortedChunkRenderers[i].occlusionId, GL15.GL_QUERY_RESULT, resultBuffer);
@@ -770,40 +707,29 @@ public class RenderGlobal
 
     }
 
-    private int renderChunks(int from, int to, int renderPass, double partialTick)
-    {
+    private int renderChunks(int from, int to, int renderPass, double partialTick) {
         renderChunks.clear();
         int count = 0;
 
-        for(int i = from; i < to; i++)
-        {
-            if(renderPass == 0)
-            {
+        for (int i = from; i < to; i++) {
+            if (renderPass == 0) {
                 totalChunks++;
-                if(sortedChunkRenderers[i].empty[renderPass])
-                {
+                if (sortedChunkRenderers[i].empty[renderPass]) {
                     emptyChunks++;
-                }
-                else if (!sortedChunkRenderers[i].visible)
-                {
+                } else if (!sortedChunkRenderers[i].visible) {
                     offscreenChunks++;
-                }
-                else if (occlusionCheck && !sortedChunkRenderers[i].occlusionVisible)
-                {
+                } else if (occlusionCheck && !sortedChunkRenderers[i].occlusionVisible) {
                     occludedChunks++;
-                } else
-                {
+                } else {
                     renderedChunks++;
                 }
             }
 
-            if(sortedChunkRenderers[i].empty[renderPass] || !sortedChunkRenderers[i].visible || occlusionCheck && !sortedChunkRenderers[i].occlusionVisible)
-            {
+            if (sortedChunkRenderers[i].empty[renderPass] || !sortedChunkRenderers[i].visible || occlusionCheck && !sortedChunkRenderers[i].occlusionVisible) {
                 continue;
             }
             int list = sortedChunkRenderers[i].getList(renderPass);
-            if(list >= 0)
-            {
+            if (list >= 0) {
                 renderChunks.add(sortedChunkRenderers[i]);
                 count++;
             }
